projects
Creates a new BuildingConnected project in DRAFT state. The project can be created directly, or by cloning an existing project or copying information from an existing opportunity.
When the project’s information is copied from another project or an opportunity, the values in the request body take precedence over the values in the originating project or opportunity.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/construction/buildingconnected/v2/projects |
| Authentication Context | User context required |
| Required OAuth Scopes | data:write |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
| Content-Type* string | Must be application/json |
Request
Body Structure
| name* string | A user-defined name for the project such as “Salesforce Tower” or “Chase Center”. The name need not be unique.
The name is required and must not be empty. Max length: 100 |
| number string | A user-defined value that will be prepended to name on invites sent to bidders. The value need not be unique.
Max length: 100 |
| client string | A user-defined name for the client for whom the project is being bid.
Note that this value is private to your company and is not displayed to bidders. Max length: 100 |
| description string | A detailed description of the project with HTML markup.
Max length: 10000 |
| notes string | A free text field for miscellaneous notes, with HTML markup.
Note that this value is private to your company and is not displayed to bidders. Max length: 4000 |
| value number | The monetary value of the project.
Note that BuildingConnected projects do not have multi-currency support; all monetary values for a project, including bids, are assumed to be in the same currency. Note that this value is private to your company and is not displayed to bidders. |
| projectSize number | The magnitude of the project, in the units that you specify in projectSizeUnits (SQUARE_FEET or SQUARE_METERS).
Note that if you specify a projectSizeUnits value of SQUARE_METERS, this field’s value is converted to the equivalent square feet amount in the created project. You will see the converted value in the response. |
| projectSizeUnits enum:string | The unit type of the value of projectSize.
Note that if you set this field to SQUARE_METERS in the request, the value of projectSize is converted to the equivalent square feet amount in the created project. For informational purposes, this field retains the value you originally set.
Possible values: SQUARE_FEET, SQUARE_METERS |
| isBiddingSealed boolean | Indicates whether the project’s bids are sealed. Sealed bids cannot be accessed until the due date is past, and new bids cannot be submitted if the due date is past. Possible values:
The |
| owningOfficeId string | The owning office ID of the project.
If omitted, this defaults to the API user’s primary office. Max length: 24 |
| isPublic boolean | Indicates whether the project should be listed in your company’s public plan room. Possible values:
|
| bidsDueAt datetime: ISO 8601 | The date and time deadline by which bidders must submit bids on this project, in ISO 8601 format.
This field provides the default due date for the project’s bid packages, after which you can set an independent due date for each bid package. |
| endsAt datetime: ISO 8601 | The expected end date and time of the project in ISO 8601 format.
If |
| rfisDueAt datetime: ISO 8601 | The date and time deadline by which bidders must submit RFIs for this project, in ISO 8601 format. |
| startsAt datetime: ISO 8601 | The expected start date and time of the project in ISO 8601 format. |
| jobWalkAt datetime: ISO 8601 | The date and time that bidders invited to this project may come to the site and do a job walk, in ISO 8601 format. |
| dueAt datetime: ISO 8601 | The date and time deadline by which your bid must be submitted to the client, in ISO 8601 format.
Note that this value is private to your company and is not displayed to bidders. |
| location one of | The details to set or update a location. |
| 0 object | The structured address details to set or update a location. |
| country string | The country code of the location. |
| state string | The state, territory, or province code of the location. |
| streetName string | The street name of the location. This can be combined with streetNumber to get the street address. |
| streetNumber string | The numeric value of the street address. This can be combined with streetName to get the street address. |
| suite string | The suite number or second address line of the location. |
| city string | The city of the location. |
| zip string | The ZIP or Postal code of the location. |
| 1 object | The complete address to find. |
| complete* string | The complete address to validate. |
| accountManager string | The name of your company’s primary business contact responsible for communicating with the client owner of the project.
Note that this value is private to your company and is not displayed to bidders. Max length: 100 |
| feePercentage number | A numeric value expressing the fee that your company will charge for the project. This value is a rational number that represents a percentage. For example, 15.55% is represented as 15.55.
Note that this value is private to your company and is not displayed to bidders. |
| marketSector string | A description of the market sector that the project is in.
Max length: 100 |
| defaultCurrency enum:string | The currency denomination used for the project. Possible values:
Note that future values will follow the ISO 4217 format for currencies. If omitted, defaults to the project location’s currency. |
| architect string | The name of the architect on the project.
Max length: 100 |
| isForBudgeting boolean | Indicates whether the project is for budgeting rather than for bidding. Possible values:
|
| isCompetitive boolean | Indicates whether this is a competitive or “hard bid” project rather than a negotiated project. Possible values:
This information is private to your company and is not shared with bidders. |
| currentAccLinkedProjectId string | The project ID of a Forma project to link to with this project. Multiple BuildingConnected projects can be linked to one Forma project. The currentAccLinkedHubId field must also be provided.
To obtain the hub and project IDs, see Retrieve Forma hub and Project ID. Note that when this value is null, |
| currentAccLinkedHubId string | The ID of the hub where the Forma project specified by currentAccLinkedProjectId is located. Required if you include currentAccLinkedProjectId in the request. Multiple BuildingConnected projects can be linked to one Forma project.
To obtain the hub and project IDs, see Retrieve Forma hub and Project ID. Note that when this value is null, |
| currentAccDocsFolderId string | The unique ID of an Autodesk Forma Data Management folder in the linked Forma project. Files in this folder are shared with all bidders in this bid package.
The Note that if you provide a value for the |
| relevantCertificates array: object | An array of certificate attributes relevant to the project.
This array is limited to a maximum of 50 certificates. |
| agency object | A certifying agency that’s relevant to this project. |
| id* string | The unique ID of a certification agency.
Max length: 24 |
| certificateType object | A type of certificate (issued by the specified agency) that’s relevant to this project. |
| id* string | The unique ID of a certificate type.
Max length: 24 |
| ndaId string | The ID of the non-disclosure agreement (NDA) that members and bidders must sign to access the project.
Set this field to Max length: 24 |
| isProjectNameShownBeforeSigningNda boolean | Indicates whether users who have not signed a non-disclosure agreement (NDA) can see the project name.
Possible values:
- |
| originalProjectId string | The unique ID of an original template or project from which this project will be cloned.
Note that this field and the Max length: 24 |
| template object | The elements from the original project to copy when originalProjectId is specified. |
| includeInfo boolean | Set to true to copy the original project’s information. |
| includeCosts boolean | Set to true to copy the original project’s costs. |
| includeForm boolean | Set to true to copy the original project’s bid form. |
| includeFiles boolean | Set to true to copy the original project’s files.
If neither project is connected to Forma Data Management, the files duplicated and recreated in the new project When both the new project and the template project share |
| includeTeam boolean | Set to true to copy the original project’s team. If the requesting user is not a member of the template’s team they will be added to the new project’s team. |
| bidPackages object | Information about bid packages and their properties to copy from the template project. |
| includeForm boolean | Set to true to copy the original project’s scope-specific bid forms. |
| includeFiles boolean | Set to true to copy the original bid package’s files.
If neither project is connected to Forma Data Management, the files duplicated and recreated in the new bid package. When both the new project and the template project share Set to |
| bidderStates array: string | A list of the states of the invites that should be copied from the original project’s bid packages. Default: All states.
Possible values: Max 5 bidder states per project. |
| ids array: string | A list of the IDs of the bid packages to copy from the original project. Default: All bid packages. |
| opportunityProjectPair object | Information about a BuildingConnected opportunity on which you want to base the new project.
Note that this object and the |
| opportunityId string | The unique ID of the opportunity from which this project will be created.
An opportunity-project pair will be created as a result. Max length: 24 |
| includeClientFiles boolean | Whether to sync client files from the opportunity to the project. Possible values:
|
| includeInternalFiles boolean | Whether to sync internal files from the opportunity to the project. Possible values:
|
| includeBidForm boolean | Whether to copy the bid form from the opportunity to the project. Possible values:
|
| includeNda boolean | Whether to copy the NDA from the opportunity to the project. Possible values:
|
| aiProposalExtraction boolean | Indicates whether the project is opted into AI proposal extraction.
|
Response
HTTP Status Code Summary
| 201 Created | Created |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Header (201)
| Location string | The created resource’s location. |
Response
Body Structure (201)
| id string | The BuildingConnected project’s unique ID.
Note that this is not equivalent to a Forma project ID. Max length: 24 |
| name string | The user-defined name of the project. The name need not be unique. |
| number string | The user-defined prefix for the project name. This value is prepended to name on invites sent to bidders. The value need not be unique. |
| company object | Information about a company. |
| id string | The unique BuildingConnected ID of the company.
Max length: 24 |
| name string | The name of the company. |
| avatarImageUrl string | The cached imgix url for the avatar image of the company. |
| businessType array: string | The type of business carried out by the company. |
| website string | The company’s official website. |
| laborType array: string | Specifies the labor payment structure within the company, such as Non-Union or Prevailing Wages. |
| enterpriseType array: string | This has been deprecated and replaced with certificates. |
| companyTags array: string | A list of tags assigned by your organization to categorize this company. Note that this information is private to your organization and not visible to others. |
| certificates array: object | A collection of certificates held by the company. This field replaces the deprecated enterpriseType field. |
| id string | The unique identifier for each certificate. Companies can hold multiple certificates, each with its own ID. The field is null for pending certificate suggestions.
Max length: 24 |
| type object | Details about the specific type of certificate. |
| id string | The unique ID of the certificate type.
Max length: 24 |
| name string | The name of the certificate type. |
| agency object | Details about the agency that issued the certificate. |
| id string | The unique identifier for the certifying agency.
Max length: 24 |
| name string | The name of the certifying agency. |
| website string | The official website URL of the certifying agency. |
| number string | The certificate’s unique identification number. |
| expiresAt datetime: ISO 8601 | The date the certificate expires, in ISO 8601 format. |
| fileName string | The name of the digital copy of the certificate. |
| client string | A user-defined identifying name for the client for whom the project is being bid.
Note that this value is private to your company and is not displayed to bidders. |
| description string | A detailed description of the project with HTML markup. |
| notes string | Miscellaneous user-added notes with HTML markup.
Note that this value is private to your company and is not displayed to bidders. |
| value number | The monetary value of the project.
Note that BuildingConnected projects do not have multi-currency support; all monetary values for a project, including bids, are assumed to be in the same currency. Note that this value is private to your company and is not displayed to bidders. |
| projectSize number | The magnitude of the project in square feet.
Note that this value is always in square feet regardless of the value of projectSizeUnits. |
| projectSizeUnits enum:string | The unit type of projectSize that was specified when creating or updating the project.
Note that if this value is SQUARE_METERS, the original value of projectSize in square meters was converted to the equivalent value in square feet. For informational purposes, this field retains its original input value.
Possible values: SQUARE_FEET, SQUARE_METERS |
| awarded enum:string | Indicates whether the project was won or lost. Defaults to UNKNOWN until changed. Possible values:
Note that this value is private to your company and not displayed to bidders. |
| isBiddingSealed boolean | Indicates whether the project’s bids are sealed. Sealed bids cannot be accessed until the due date is past, and new bids cannot be submitted if the due date is past. Possible values:
|
| bidAdminUserId string | The unique BuildingConnected ID of the user set as the “Bid Administrator” when project’s bids are sealed. Only the bid administrators can unseal bids after the bid’s due date.
Max length: 24 |
| state enum:string | Indicates whether a project is unpublished, published, or closed. Possible values:
|
| isNdaRequired boolean | Indicates whether a non-disclosure agreement (NDA) is required on the project. Possible values:
|
| nda object | Information about the non-disclosure agreement (NDA) that team members and bidder users must sign to access the project. |
| id string | The ID of the non-disclosure agreement (NDA) that team members and bidder users must sign to access the project.
Max length: 24 |
| name string | The name of the non-disclosure agreement (NDA) required to be signed to access the project. |
| createdAt datetime: ISO 8601 | The date and time that the project nda was created, in ISO 8601 format. |
| createdBy string | The BuildingConnected user ID of the user who created the non-disclosure agreement (NDA).
Max length: 24 |
| isProjectNameShownBeforeSigningNda boolean | Indicates whether users who have not signed the non-disclosure agreement (NDA) can see the project name. Possible values:
|
| isPublic boolean | Indicates whether the project is listed in your company’s public plan room. Possible values:
|
| createdAt datetime: ISO 8601 | The date and time that the project was created, in ISO 8601 format. |
| updatedAt datetime: ISO 8601 | The date and time of the last change made to the project, in ISO 8601 format. |
| publishedAt datetime: ISO 8601 | The date and time that a bid package on the project was first published, in ISO 8601 format. |
| bidsDueAt datetime: ISO 8601 | The date and time deadline by which bidders must submit bids on this project, in ISO 8601 format.
This field provides the default due date for the project’s bid packages, after which you can set an independent due date for each bid package. |
| endsAt datetime: ISO 8601 | The expected end date and time of the project in ISO 8601 format. |
| rfisDueAt datetime: ISO 8601 | The date and time deadline by which bidders must submit RFIs for this project, in ISO 8601 format. |
| startsAt datetime: ISO 8601 | The expected start date and time of the project in ISO 8601 format. |
| jobWalkAt datetime: ISO 8601 | The date and time that bidders invited to this project may come to the site and do a job walk, in ISO 8601 format. |
| dueAt datetime: ISO 8601 | The date and time deadline by which your bid must be submitted to the client, in ISO 8601 format.
Note that this value is private to your company and is not displayed to bidders. |
| closedAt datetime: ISO 8601 | The date and time that the project was closed, in ISO 8601 format. |
| location object | The structured address details for a location. |
| country string | The country code of the location. |
| state string | The state, territory, or province code of the location. |
| streetName string | The street name of the location. This can be combined with streetNumber to get the street address. |
| streetNumber string | The numeric value of the street address. This can be combined with streetName to get the street address. |
| suite string | The suite number or second address line of the location. |
| city string | The city of the location. |
| zip string | The ZIP or Postal code of the location. |
| complete string | The complete human-readable address of the location. |
| coords object | The latitude and longitude coordinates of the location. |
| lat number | The geographic latitude of the location. |
| lng number | The geographic longitude of the location. |
| precisionLevel int | The precision with which location identifies an actual place, on a scale of 0 to 10.
This value is initially |
| isTemplate boolean | Indicates whether the project is a template. Possible values:
|
| isBidFormTemplate boolean | Indicates whether the project is a bid form template.
|
| accountManager string | The name of your company’s primary business contact responsible for communicating with the client owner of the project.
Note that this value is private to your company and is not displayed to bidders. |
| feePercentage number | A numeric value expressing the fee that your company will charge for the project. This value is a rational number that represents a percentage. For example, 15.55% is represented as 15.55.
Note that this value is private to your company and is not displayed to bidders. |
| marketSector string | A description of the market sector that the project is in. |
| createdBy string | The BuildingConnected user ID of the user who created the project.
Max length: 24 |
| defaultCurrency string | The currency denomination used for the project. Possible values:
Note that future values will follow the ISO 4217 format for currencies. |
| owningOfficeId string | The office ID (not the company ID) of the project owner.
Max length: 24 |
| architect string | The name of the architect on the project. |
| isForBudgeting boolean | Indicates whether the project is for budgeting rather than for bidding. Possible values:
|
| isCompetitive boolean | Indicates whether this is a competitive or “hard bid” project rather than a negotiated project. Possible values:
This information is private to your company and is not shared with bidders. |
| currentAccLinkedProjectId string | The project ID of the currently linked Forma project. Multiple BuildingConnected projects can be linked to one Forma project.
Note that when this value is null, |
| currentAccLinkedHubId string | The hub ID of the currently linked Forma project. Multiple BuildingConnected projects can be linked to one Forma project. |
| originalProjectId string | The unique ID of the original template or project if this project was created by importing from a template or existing project.
Max length: 24 |
| currentAccDocsFolderId string | The unique ID of an Autodesk Forma Data Management folder in the linked Forma project. Files in this folder are shared with all bidders.
Note that this value is null under any of the following conditions:
|
| accProjectLinkedAt datetime: ISO 8601 | The date and time that this BuildingConnected project was linked to the currently linked Forma project, in ISO 8601 format. |
| relevantCertificates array: object | An array of certificates relevant to the project. Bidders with any certificate meeting these criteria will be identified as relevantly certified bidders in the project interface.
Max 50 certificates per project. |
| agency object | A certifying agency that’s relevant to this project. |
| id string | The unique ID of the certifying agency.
Max length: 24 |
| name string | The name of the certifying agency. |
| website string | The website URL of the certifying agency. |
| certificateType object | A type of certificate (issued by the specified agency) that’s relevant to this project. |
| id string | The unique ID of the certificate type.
Max length: 24 |
| name string | The name of the certificate type. |
| opportunityProjectPair object | Information about the opportunity paired to this project. This pairing enables the project to use various types of content from the opportunity as specified when the project was created. |
| id string | The unique ID of the opportunity project pair. |
| opportunityId string | The unique ID of the opportunity paired to this project. |
| aiProposalExtraction boolean | Indicates whether the project is opted into AI proposal extraction.
|
Example 1
Create a new project.
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/projects' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"name": "Office Renovation",
"number": "12345",
"client": "Wells Fargo",
"value": 1000000,
"notes": "<div>This project's <b>important</b> notes.</div>",
"projectSize": 32000,
"projectSizeUnits": "SQUARE_FEET",
"isBiddingSealed": false,
"owningOfficeId": "5fcdcd0b3db0876c6692d5bb",
"isPublic": true,
"bidsDueAt": "2014-09-22T16:27:37.437Z",
"endsAt": "2014-09-22T16:27:37.437Z",
"rfisDueAt": "2014-09-22T16:27:37.437Z",
"startsAt": "2014-09-22T16:27:37.437Z",
"jobWalkAt": "2014-09-22T16:27:37.437Z",
"dueAt": "2014-09-22T16:27:37.437Z",
"location": {
"country": "US",
"state": "CA",
"streetName": "California St.",
"streetNumber": "600",
"suite": "6th Floor",
"city": "San Francisco",
"zip": "94108"
},
"accountManager": "Name of account manager",
"feePercentage": 15.55,
"marketSector": "Sports Stadium Construction",
"defaultCurrency": "USD",
"architect": "Browning Day Mullins Dierdorf Architects",
"isForBudgeting": false,
"isCompetitive": false,
"relevantCertificates": [
{
"agency": {
"id": "51bea397f5846f95994bf3a9"
},
"certificateType": {
"id": "51bea397f5846f95994bf3aa"
}
}
],
"isProjectNameShownBeforeSigningNda": false
}'
Response
{
"id": "59d2bd7440b36a0da258f24d",
"name": "Office Renovation",
"number": "12345",
"client": "Wells Fargo",
"description": "Short description of the project",
"notes": "Any notes about the project",
"value": 1000000,
"projectSize": 2000,
"projectSizeUnits": "SQUARE_FEET",
"awarded": "WON",
"isBiddingSealed": false,
"state": "PUBLISHED",
"isNdaRequired": false,
"isProjectNameShownBeforeSigningNda": false,
"isPublic": false,
"createdAt": "2014-09-22T16:27:37.437Z",
"updatedAt": "2014-09-23T16:28:37.437Z",
"publishedAt": "2014-09-22T21:34:44.511Z",
"bidsDueAt": "2014-10-03T19:00:00.000Z",
"endsAt": "2015-03-31T07:00:00.000Z",
"rfisDueAt": "2014-09-25T19:00:00.000Z",
"startsAt": "2014-11-03T08:00:00.000Z",
"jobWalkAt": "2015-03-31T07:00:00.000Z",
"dueAt": "2014-09-03T08:00:00.000Z",
"location": {
"country": "US",
"state": "CA",
"streetName": "California St.",
"streetNumber": "600",
"suite": "6th Floor",
"city": "San Francisco",
"zip": "94108",
"complete": "600 California St., 6th Floor, San Francisco, CA 94108",
"coords": {
"lat": -122.4069826,
"lng": 37.7929546
},
"precisionLevel": 10
},
"isTemplate": false,
"accountManager": "Name of account manager",
"feePercentage": 15.55,
"marketSector": "Sports Stadium Construction",
"createdBy": "5a1dc3cf5b54e06ca307d7af",
"defaultCurrency": "USD",
"owningOfficeId": "5fcdcd0b3db0876c6692d5bb",
"architect": "Browning Day Mullins Dierdorf Architects",
"isForBudgeting": false,
"isCompetitive": true,
"currentAccLinkedProjectId": null,
"currentAccLinkedHubId": null,
"originalProjectId": null,
"currentAccDocsFolderId": null,
"accProjectLinkedAt": null,
"relevantCertificates": [
{
"agency": {
"id": "611d794f7f063800a7274d46",
"name": "United States Department of Transportation",
"website": "https://www.transportation.gov/civil-rights/disadvantaged-business-enterprise"
},
"certificateType": {
"id": "59d2bd7440b36a0da258f24d",
"name": "Disadvantaged Business Enterprise (DBE)"
}
}
],
"opportunityProjectPair": {
"id": null,
"opportunityId": null
}
}
Example 2
Create a project from a template.
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/projects' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"name": "Office Renovation",
"number": "12345",
"client": "Wells Fargo",
"value": 1000000,
"notes": "<div>This project's <b>important</b> notes.</div>",
"projectSize": 32000,
"projectSizeUnits": "SQUARE_FEET",
"isBiddingSealed": false,
"owningOfficeId": "5fcdcd0b3db0876c6692d5bb",
"isPublic": true,
"bidsDueAt": "2014-09-22T16:27:37.437Z",
"endsAt": "2014-09-22T16:27:37.437Z",
"rfisDueAt": "2014-09-22T16:27:37.437Z",
"startsAt": "2014-09-22T16:27:37.437Z",
"jobWalkAt": "2014-09-22T16:27:37.437Z",
"dueAt": "2014-09-22T16:27:37.437Z",
"location": {
"country": "US",
"state": "CA",
"streetName": "California St.",
"streetNumber": "600",
"suite": "6th Floor",
"city": "San Francisco",
"zip": "94108"
},
"accountManager": "Name of account manager",
"feePercentage": 15.55,
"marketSector": "Sports Stadium Construction",
"defaultCurrency": "USD",
"architect": "Browning Day Mullins Dierdorf Architects",
"isForBudgeting": false,
"isCompetitive": false,
"relevantCertificates": [
{
"agency": {
"id": "51bea397f5846f95994bf3a9"
},
"certificateType": {
"id": "51bea397f5846f95994bf3aa"
}
}
],
"originalProjectId": "5fcdcd0b3db0876c6692d17e",
"template": {
"includeInfo": false,
"includeCosts": false,
"includeForm": true,
"includeFiles": false,
"bidPackages": {
"includeForm": true,
"includeFiles": false,
"bidderStates": [
"NOT_BIDDING",
"BIDDING",
"BID_SUBMITTED"
]
}
}
}'
Response
{
"id": "59d2bd7440b36a0da258f24d",
"name": "Office Renovation",
"number": "12345",
"client": "Wells Fargo",
"description": "Short description of the project",
"notes": "Any notes about the project",
"value": 1000000,
"projectSize": 2000,
"projectSizeUnits": "SQUARE_FEET",
"awarded": "WON",
"isBiddingSealed": false,
"state": "PUBLISHED",
"isNdaRequired": false,
"isProjectNameShownBeforeSigningNda": false,
"isPublic": false,
"createdAt": "2014-09-22T16:27:37.437Z",
"updatedAt": "2014-09-23T16:28:37.437Z",
"publishedAt": "2014-09-22T21:34:44.511Z",
"bidsDueAt": "2014-10-03T19:00:00.000Z",
"endsAt": "2015-03-31T07:00:00.000Z",
"rfisDueAt": "2014-09-25T19:00:00.000Z",
"startsAt": "2014-11-03T08:00:00.000Z",
"jobWalkAt": "2015-03-31T07:00:00.000Z",
"dueAt": "2014-09-03T08:00:00.000Z",
"location": {
"country": "US",
"state": "CA",
"streetName": "California St.",
"streetNumber": "600",
"suite": "6th Floor",
"city": "San Francisco",
"zip": "94108",
"complete": "600 California St., 6th Floor, San Francisco, CA 94108",
"coords": {
"lat": -122.4069826,
"lng": 37.7929546
},
"precisionLevel": 10
},
"isTemplate": false,
"accountManager": "Name of account manager",
"feePercentage": 15.55,
"marketSector": "Sports Stadium Construction",
"createdBy": "5a1dc3cf5b54e06ca307d7af",
"defaultCurrency": "USD",
"owningOfficeId": "5fcdcd0b3db0876c6692d5bb",
"architect": "Browning Day Mullins Dierdorf Architects",
"isForBudgeting": false,
"isCompetitive": true,
"currentAccLinkedProjectId": null,
"currentAccLinkedHubId": null,
"originalProjectId": "5fcdcd0b3db0876c6692d17e",
"currentAccDocsFolderId": null,
"accProjectLinkedAt": "2014-10-03T19:00:00.000Z",
"relevantCertificates": [
{
"agency": {
"id": "611d794f7f063800a7274d46",
"name": "United States Department of Transportation",
"website": "https://www.transportation.gov/civil-rights/disadvantaged-business-enterprise"
},
"certificateType": {
"id": "59d2bd7440b36a0da258f24d",
"name": "Disadvantaged Business Enterprise (DBE)"
}
}
],
"opportunityProjectPair": {
"id": null,
"opportunityId": null
}
}
Example 3
Create a project linked to an ACC project.
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/projects' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"name": "Office Renovation",
"number": "12345",
"client": "Wells Fargo",
"value": 1000000,
"notes": "<div>This project's <b>important</b> notes.</div>",
"projectSize": 32000,
"projectSizeUnits": "SQUARE_FEET",
"isBiddingSealed": false,
"owningOfficeId": "5fcdcd0b3db0876c6692d5bb",
"isPublic": true,
"bidsDueAt": "2014-09-22T16:27:37.437Z",
"endsAt": "2014-09-22T16:27:37.437Z",
"rfisDueAt": "2014-09-22T16:27:37.437Z",
"startsAt": "2014-09-22T16:27:37.437Z",
"jobWalkAt": "2014-09-22T16:27:37.437Z",
"dueAt": "2014-09-22T16:27:37.437Z",
"location": {
"country": "US",
"state": "CA",
"streetName": "California St.",
"streetNumber": "600",
"suite": "6th Floor",
"city": "San Francisco",
"zip": "94108"
},
"accountManager": "Name of account manager",
"feePercentage": 15.55,
"marketSector": "Sports Stadium Construction",
"defaultCurrency": "USD",
"architect": "Browning Day Mullins Dierdorf Architects",
"isForBudgeting": false,
"isCompetitive": false,
"relevantCertificates": [
{
"agency": {
"id": "51bea397f5846f95994bf3a9"
},
"certificateType": {
"id": "51bea397f5846f95994bf3aa"
}
}
],
"currentAccLinkedProjectId": "00f1b796-293a-4c1e-9474-f09711011426",
"currentAccLinkedHubId": "28b0d8b3-4730-4f4f-8bad-4a2a5d75ed26",
"currentAccDocsFolderId": "urn:adsk.wipprod:fs.folder:co.BJU3PTc4Sd2CmXM492XUiA"
}'
Response
{
"id": "59d2bd7440b36a0da258f24d",
"name": "Office Renovation",
"number": "12345",
"client": "Wells Fargo",
"description": "Short description of the project",
"notes": "Any notes about the project",
"value": 1000000,
"projectSize": 2000,
"projectSizeUnits": "SQUARE_FEET",
"awarded": "WON",
"isBiddingSealed": false,
"state": "PUBLISHED",
"isNdaRequired": false,
"isProjectNameShownBeforeSigningNda": false,
"isPublic": false,
"createdAt": "2014-09-22T16:27:37.437Z",
"updatedAt": "2014-09-23T16:28:37.437Z",
"publishedAt": "2014-09-22T21:34:44.511Z",
"bidsDueAt": "2014-10-03T19:00:00.000Z",
"endsAt": "2015-03-31T07:00:00.000Z",
"rfisDueAt": "2014-09-25T19:00:00.000Z",
"startsAt": "2014-11-03T08:00:00.000Z",
"jobWalkAt": "2015-03-31T07:00:00.000Z",
"dueAt": "2014-09-03T08:00:00.000Z",
"location": {
"country": "US",
"state": "CA",
"streetName": "California St.",
"streetNumber": "600",
"suite": "6th Floor",
"city": "San Francisco",
"zip": "94108",
"complete": "600 California St., 6th Floor, San Francisco, CA 94108",
"coords": {
"lat": -122.4069826,
"lng": 37.7929546
},
"precisionLevel": 10
},
"isTemplate": false,
"accountManager": "Name of account manager",
"feePercentage": 15.55,
"marketSector": "Sports Stadium Construction",
"createdBy": "5a1dc3cf5b54e06ca307d7af",
"defaultCurrency": "USD",
"owningOfficeId": "5fcdcd0b3db0876c6692d5bb",
"architect": "Browning Day Mullins Dierdorf Architects",
"isForBudgeting": false,
"isCompetitive": true,
"currentAccLinkedProjectId": "00f1b796-293a-4c1e-9474-f09711011426",
"currentAccLinkedHubId": "28b0d8b3-4730-4f4f-8bad-4a2a5d75ed26",
"originalProjectId": null,
"currentAccDocsFolderId": "urn:adsk.wipprod:fs.folder:co.BJU3PTc4Sd2CmXM492XUiA",
"accProjectLinkedAt": "2014-10-03T19:00:00.000Z",
"relevantCertificates": [
{
"agency": {
"id": "611d794f7f063800a7274d46",
"name": "United States Department of Transportation",
"website": "https://www.transportation.gov/civil-rights/disadvantaged-business-enterprise"
},
"certificateType": {
"id": "59d2bd7440b36a0da258f24d",
"name": "Disadvantaged Business Enterprise (DBE)"
}
}
],
"opportunityProjectPair": {
"id": null,
"opportunityId": null
}
}
Example 4
Create a project from an opportunity.
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/projects' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '{
"name": "Office Renovation",
"number": "12345",
"client": "Wells Fargo",
"value": 1000000,
"notes": "<div>This project's <b>important</b> notes.</div>",
"projectSize": 32000,
"projectSizeUnits": "SQUARE_FEET",
"isBiddingSealed": false,
"owningOfficeId": "5fcdcd0b3db0876c6692d5bb",
"isPublic": true,
"bidsDueAt": "2014-09-22T16:27:37.437Z",
"endsAt": "2014-09-22T16:27:37.437Z",
"rfisDueAt": "2014-09-22T16:27:37.437Z",
"startsAt": "2014-09-22T16:27:37.437Z",
"jobWalkAt": "2014-09-22T16:27:37.437Z",
"dueAt": "2014-09-22T16:27:37.437Z",
"location": {
"country": "US",
"state": "CA",
"streetName": "California St.",
"streetNumber": "600",
"suite": "6th Floor",
"city": "San Francisco",
"zip": "94108"
},
"accountManager": "Name of account manager",
"feePercentage": 15.55,
"marketSector": "Sports Stadium Construction",
"defaultCurrency": "USD",
"architect": "Browning Day Mullins Dierdorf Architects",
"isForBudgeting": false,
"isCompetitive": false,
"relevantCertificates": [
{
"agency": {
"id": "51bea397f5846f95994bf3a9"
},
"certificateType": {
"id": "51bea397f5846f95994bf3aa"
}
}
],
"opportunityProjectPair": {
"opportunityId": "5fcdcd0b3db0876c66959a4d",
"includeClientFiles": true,
"includeInternalFiles": true,
"includeBidForm": true,
"includeNda": false
}
}'
Response
{
"id": "59d2bd7440b36a0da258f24d",
"name": "Office Renovation",
"number": "12345",
"client": "Wells Fargo",
"description": "Short description of the project",
"notes": "Any notes about the project",
"value": 1000000,
"projectSize": 2000,
"projectSizeUnits": "SQUARE_FEET",
"awarded": "WON",
"isBiddingSealed": false,
"state": "PUBLISHED",
"isNdaRequired": false,
"isProjectNameShownBeforeSigningNda": false,
"isPublic": false,
"createdAt": "2014-09-22T16:27:37.437Z",
"updatedAt": "2014-09-23T16:28:37.437Z",
"publishedAt": "2014-09-22T21:34:44.511Z",
"bidsDueAt": "2014-10-03T19:00:00.000Z",
"endsAt": "2015-03-31T07:00:00.000Z",
"rfisDueAt": "2014-09-25T19:00:00.000Z",
"startsAt": "2014-11-03T08:00:00.000Z",
"jobWalkAt": "2015-03-31T07:00:00.000Z",
"dueAt": "2014-09-03T08:00:00.000Z",
"location": {
"country": "US",
"state": "CA",
"streetName": "California St.",
"streetNumber": "600",
"suite": "6th Floor",
"city": "San Francisco",
"zip": "94108",
"complete": "600 California St., 6th Floor, San Francisco, CA 94108",
"coords": {
"lat": -122.4069826,
"lng": 37.7929546
},
"precisionLevel": 10
},
"isTemplate": false,
"accountManager": "Name of account manager",
"feePercentage": 15.55,
"marketSector": "Sports Stadium Construction",
"createdBy": "5a1dc3cf5b54e06ca307d7af",
"defaultCurrency": "USD",
"owningOfficeId": "5fcdcd0b3db0876c6692d5bb",
"architect": "Browning Day Mullins Dierdorf Architects",
"isForBudgeting": false,
"isCompetitive": true,
"currentAccLinkedProjectId": null,
"currentAccLinkedHubId": null,
"originalProjectId": null,
"currentAccDocsFolderId": null,
"accProjectLinkedAt": "2014-10-03T19:00:00.000Z",
"relevantCertificates": [
{
"agency": {
"id": "611d794f7f063800a7274d46",
"name": "United States Department of Transportation",
"website": "https://www.transportation.gov/civil-rights/disadvantaged-business-enterprise"
},
"certificateType": {
"id": "59d2bd7440b36a0da258f24d",
"name": "Disadvantaged Business Enterprise (DBE)"
}
}
],
"opportunityProjectPair": {
"id": "5fcdcd0b3db0876c669578ca",
"opportunityId": "5fcdcd0b3db0876c66959a4d"
}
}